Cómo instalar el DNI electrónico en OS X Yosemite

Si, aunque todavía no te lo creas es posible?instalar el DNI electr?nico en OS X Yosemite y en las pr?ximas l?neas te cuento como hacerlo.

Para empezar vamos a preparar todo lo que necesitamos para que esto funcione. La recomendaci?n es seguir todos estos pasos sobre un sistema completamente limpio, esto es reci?n formateado, es lo que habr?s le?do en un mont?n de sitios antes de llegar aqu?.?Nosotros lo vamos a hacer en nuestro sistema tal y como est?, sin necesidad de limpiar nada, solo hay que seguir estos pasos.

Lo primero que necesitamos es el navegador Firefox, despu?s de muchas pruebas es el ?nico navegador donde funciona, al menos de momento, as? que si no lo tienes instalado ser? lo primero que tendr?s que hacer. Puedes descargar Firefox desde su p?gina oficial.

Una vez tengamos Firefox instalado?en el equipo escribimos en la URL “about:config”,?buscamos la cadena “signed.applets.codebase_principal_support”?y comprobamos que su valor?es “true”, tal que as?:

signed_appletsEn caso contrario solo tienes que hacer doble clic encima y modificar su valor.

2.- La gran noticia que ha hecho que todo este proceso se simplifique es la publicaci?n por parte de la FNMT de los drivers y librerias Multicard compatibles con?nuestra versi?n 10.10 de OS X Yosemite. Y ser? lo segundo que necesitaremos. Los puedes descargar desde la web de la FNMT, en la secci?n descarga de software.

Una vez descargados, conectamos el lector de tarjetas electr?nico con el DNI dentro y lo instalamos haciendo doble clic encima del archivo descargado y siguiendo el asistente, no preguntar? nada especial.

Y ahora los agregamos desde las preferencias de Firefox, en la pesta?a “Avanzado” en la secci?n “Certificados” – Dispositivos de Seguridad:

dispositivos_seguridad

Ahora en la ventana que se abre le damos a la opci?n “cargar”, escribimos el Nombre del m?dulo sin usar tildes y buscamos el archivo con examinar en la ruta “/Library/Libpkcs11-fnmtdnie/lib/libpkcs11-fnmtdnie.so”:

libreria_firefox

Le damos a Aceptar y ya esta el dispositivo cargado, es muy probable que en este paso os pida en alg?n momento la clave maestra?del DNI electr?nico, cuando aparezca la ventana introducirla. Acto seguido instalamos los certificados de la FNTM desde la misma ventana de Preferencias de Firefox, en “Avanzado” – “Certificados”, pulsando en “Ver certificados” y la opci?n importar dentro de la pesta?a “Autoridades”:

Importamos los dos certificados que se encuentran en la ruta “/Library/Libpkcs11-fnmtdnie/” que son: “ac_raiz_dnie.crt” y “FNTMClase2CA.crt”, marcando en ambos casos las tres casillas que aparecen en la siguiente ventana.

3.- Para terminar necesitaremos tener instalada la versi?n 7 de Java en nuestro sistema, es con la ?nica con la que funciona todo esto as? que si tienes la versi?n actualizada a Java 8 tendr?s que desinstalarla. Para esto tienes que abrir la Terminal de OS X, tecleando “Terminal” en Spotlight, y ejecutar el siguiente c?digo para proceder con la desinstalaci?n del mismo:

sudo rm -fr /Library/Internet\\ Plug-Ins/JavaAppletPlugin.plugin

Una vez desinstalado tendr?s que descargar la versi?n 7 de Java para OS X de Mac, que encontrar?s en el enlace, y terminar de instalarlo normalmente.

4.- ?Y por ?ltimo solo queda comprobar que nuestro DNI electr?nico funciona correctamente. Esto lo podemos hacer desde la web “www.dnielectronico.es” accediendo al servicio de validaci?n de la FNMT que encontrar?s en la parte inferior de este enlace. Espero que siguiendo?estos pasos hayas podido firmar sin problemas?y ahora tu vida digital sea mucho m?s sencilla 😉

26 pensamientos sobre “Cómo instalar el DNI electrónico en OS X Yosemite”

  1. Genial! Yo prob? varias veces con varios procedimientos en diferentes versiones de OS y no lo consegu?. Con ?ste procedimiento lo he instalado a la primera y sin ning?n problema.

    Muchas gracias!!

  2. Hola, a mi me da un error.
    “NO es posible a?adir el modulo”
    no puedo pasar de aqui. Los certificados que vienen despu?s, ya los tengo instalados y con maverick me funcionaban.
    Luego me peleare con la version de java, pero de momento no paso de aqu?.
    Alguien me puede echar un cable?
    gracias!
    Bruno

    1. Hola Bruno,

      ?Has probado a a?adir el m?dulo con el lector de DNIe conectado al equipo?, empieza por ah? y si no te funciona prueba tambi?n a reiniciar Firefox entre un proceso y otro, con la instalaci?n del m?dulo puede volverse un poco loco.

      Suerte!

  3. Hola Nubentia,
    No s? c?mo importar cuando llego aqu?: Importamos los dos certificados que se encuentran en la ruta ?/Library/Libpkcs11-fnmtdnie/? que son: ?ac_raiz_dnie.crt? y ?FNTMClase2CA.crt?
    ?Me puedes ayudar?
    Gracias!
    Raquel

    1. Hola Raquel,
      No se donde tienes el problema exactamente, en ese paso lo ?nico que hay que hacer es instalar los certificados de la FNMT desde la misma ventana que aparece en la imagen, con el bot?n “importar”. Los dos archivos est?n en la ruta “/Library/Libpkcs11-fnmtdnie/” de tu Mac. Primero importas uno y luego el otro.

      No deber?a tener m?s complicaci?n. Si no lo consigues concr?tame un poco m?s cual es el problema que te encuentras.

      Suerte!

      1. Hola Nubentia,
        Gracias por tu respuesta. Pues finalmente consegu? encontrar los dos archivos en el ordenador (no creas que me result? tan sencillo), pero cuanto intento importar el segundo de los m?dulos me aparece una venta que dice que no lo reconoce el m?dulo.
        No entiendo el porqu?, ?alguna idea?
        Gracias de nuevo.
        Raquel

        1. Hola,
          Bueno, parece que vamos avanzando poco a poco 😉
          ?Has probado a importar los m?dulos con el DNIe conectado al equipo? Tienes que dejarlo conectado por USB con el DNIe dentro antes de empezar con la importaci?n. Prueba con eso y deber?a funcionarte.

  4. Hola! Muchas gracias.
    Me ha funcionado.
    El problema es que para hacer tr?mites en Hacienda dice que tienes que tener insatalada la ultima version de Java. ?Qu? hago? Porque entiendo, por lo que dices, que con la 8 no funcionar?.
    Gracias!
    Saludos

  5. Hola buenas, me he quedado en importar….. al llegar a ese paso pulso importar, y se me abre la ventana del mac…. pero no encuentro la ruta…Puedes echarme una mano con esto??Gracias.

    1. Prueba a seleccionar en la columna de la izquierda el dispositivo Macintosh HD (el DD de tu ordenador, puede que lo tengas con otro nombre, cuya visualizaci?n deber?s tener activada en el Finder) y de ah? ver?s a la derecha -> Biblioteca -> Libpkcs11-fnmtdnie

  6. Hice todos los pasos, y al final: ?la parte inferior de este enlace. ? no funciona, me lleva a a una p?gina no encontrada: Not Found

    ?The requested object does not exist on this server. The link you followed is either outdated, inaccurate, or the server has been instructed not to let you have it. Please inform the site administrator of the referring page ?

  7. Ayuda por favor, estoy desesperada. He hecho todo lo que dices varias veces, pero cuando llego al paso de importar los archivos ra?z. Cuando lo busco en la librer?a y le doy a aceptar en lugar de salirme la ventana con las 3 casillas para seleccionar me sale:

    Alerta

    Este certificado personal no puede ser instalado porque Vd. no posee la correspondiente clave privada que se cre? cuando se solicit? el certificado.

    Sabes que puede ser? Lo necesito urgentemente y lo llevo intentando d?as y nada.

    Muchas gracias

  8. Hola! He seguido todos los pasos, pero a la hora de comprobar el DNIe no me funciona, al concentrase me da el siguiente mensaje de error:

    “Conexi?n segura fallida

    Ha ocurrido un error durante una conexi?n a av-dnie.cert.fnmt.es. El otro extremo de la conexi?n SSL ha rechazado su certificado por considerarlo caducado. (C?digo de error: ssl_error_expired_cert_alert)”

    ?Qu? puedo hacer?

    Mil gracias!

  9. Hola buenas,

    He seguido todos los pasos, y he reiniciado mil veces el mac, pero cuando abro la pagina para verificar el DNIe, introduzco la clave y al principio se queda pensando y luego me pide nuevamente la clave, asi un par de veces mas y luego de darle a cancelar me sale un mensaje de conexion segura fallida, sera que me pueden ayudar porfa. Gracias.

  10. Al descargarlos en mi MAc me da error. Alguna sugerencia?

    Ambas versiones. INDICA ERROR DURANTE LA INSTALACION

    Gracias

    os drivers y librerias Multicard compatibles con nuestra versi?n 10.10 de OS X Yosemite.

  11. Buenas tardes. He conseguido instalar el dni y que me permita ver las webs con el certificado digital tanto dni como el de la abogac?a pero cuando tengo que firmar un documento o cuando tras entrar en la p?gina me sale que pinche en el certificado digital la ventana aparece vac?a. Me dice el error que sino aparece es porque no est? el certificado en llaveros pero no se como meterlo por que los de la autoridad est?n incluidos pero el m?o no.
    Un saludo y muchas gracias.

  12. Hola, segu? este procedimiento y consegu? hacer una de las dos gestiones que ten?a que hacer, pero cuando intent? hacer la otra (certificado de antecedentes penales), constantemente me dec?a que hab?a habido un fallo de conexi?n, y lograba que volviera a funcionar terminando la sesi?n e inici?ndola de nuevo, aunque nunca me dejaba completar el procedimiento hasta el final. Al cabo de varios intentos, me ped?a constantemente la contrase?a maestra, y aunque la introdujera una y otra vez, la volv?a a pedir y de ah? no avanzaba m?s. Quiero desinstalarlo todo y volverlo a intentar de nuevo, pero no s? c?mo dejar el ordenador limpio para empezar la instalaci?n desde el principio. ?C?mo hago eso? Respecto al problema del inicio constante de sesi?n, ?ten?is idea de c?mo solucionarlo? Muchas gracias

  13. Buenas noches,

    Antes de nada, muchas gracias por la explicaci?n.

    Si fuera posible, querr?a saber por qu? no me aparece la cadena “signed.applets.codebase_principal_support”. Si este paso no puedo seguir 🙂

    Muchas gracias!

  14. Hola, gracias. Yo no paso desde el inicio, es decir, en la configuraci?n de firefox. No me aparece “signed.applets.codebase_principal_support”

    Mi computadora es MAC OS X YOSMITE versi?n 10.10.5
    He seguido miles de videos de instrucciones y nada.

    Gracias,

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.